=== debian/changelog ===
atlas (3.10.3-5) unstable; urgency=low

  * libatlas3-base Conflicts+Replaces libcblas3. (Closes: #874802)
  * libatlas-base-dev Conflicts+Replaces libcblas-dev. (Closes: #874803)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Sep 2017 22:29:27 +0200

atlas (3.10.3-4) unstable; urgency=low

  * Multi-archify the package.
    Incidentally, drop the dependency of libatlas-base-dev on libblas-dev, since
    cblas.h is now managed by the alternative.
  * kfreebsd.patch: update using the fix applied upstream.
  * Bump Standards-Version to 4.1.0.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Sep 2017 10:27:50 +0200

atlas (3.10.3-3) unstable; urgency=medium

  * d/control: libatlas-base-dev now directly depends on libblas-dev.
    This is necessary for having cblas.h under /usr/include (as was
    the case before libatlas-dev was dropped).
  * Add archdef for sparc64.
  * d/control: mark libatlas-doc as M-A foreign.
  * d/orig-tar.{sh,exclude}: fetch TexDoc subdir from git instead of CVS.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 16 Aug 2017 22:30:36 +0200

atlas (3.10.3-2) unstable; urgency=medium

  * “The frantic post-release package overhaul”

  [ Sébastien Villemot ]
  * d/copyright: complete rewrite using machine-readable format 1.0.
  * Merge libatlas-dev into libatlas-base-dev, drop the former.
  * Drop useless patches:
    + d/p/10_s390.diff
    + d/p/17_hppa.diff
    + d/p/18_alpha.diff
    + d/p/20_armel.diff
    + d/p/22_sh.diff
    + d/p/16_warning-removed.diff
  * d/p/ppc64-endianness.patch: new patch, fix machine detection on ppc64.
  * d/p/fix-typos.patch: new patch.
  * d/p/missing-cflags.patch: new patch.
  * Drop patches for creating full BLAS and LAPACK libs, and shared libs.
    Replace them by rules in debian/rules.
    Also no longer embed lib(pt)?cblas.a into liblapack.a, not needed.
  * d/rules:
    + Rewrite and simplify using dh (drop cdbs).
    + Support parallel=N in DEB_BUILD_OPTIONS.
    + Support nodoc in DEB_BUILD_OPTIONS.
    + Inject flags from dpkg-buildflags into the generic package.
      Incidentally, this means that the noopt and nostrip flags of
      DEB_BUILD_OPTIONS are now supported. (Closes: #697203)
    + Do not use "-Ss flapack" option of configure, it does not work.
  * d/watch:
    + Bump to format version 4. Update d/orig-tar.sh to make it compatible with
      the new invocation syntax.
    + Add +ds suffix to orig tarball, since we're repacking it.
  * d/control:
    + Use canonical URL in Vcs-Browser.
    + Drop Suggests on libblas-doc, superseded by liblapack-doc.
    + Remove several unnecessary build-dependencies.
    + Bump Standards-Version to 4.0.1.
    + libatlas-test now marked priority optional, per Policy 4.0.1.
  * Bump debhelper compat level to 10.
  * Remove obsolete TODO.
  * d/lapack-atlas.in: add Requires.private on blas.
  * Custom package:
    + Use DEB_BUILD_OPTIONS=custom as new interface.
      By the way, no longer automatically append a changelog entry.
      (Closes: #854781)
    + Improve the instructions in README.Debian.
    + Add -lpthread to dynamic libs and .pc file when relevant.
    + Ship libpt{c,f77}blas.so when relevant. (Closes: #737834)
  * armhf generic package: stop using Cortex-a7 machtype, enable VFPv3-D16.
  * Add archdef for ppc64.

  [ Dimitri John Ledkov ]
  * d/rules: on Ubuntu s390x set ARCHS to z12.
  * d/archdefs/s390x: add IBMz12 tarball

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Aug 2017 18:39:08 +0200

atlas (3.10.3-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 3.10.3. (Closes: #833139)
  * Drop d/p/cpu-throttling-check.diff, no longer needed.
    Replace it with new --cripple-atlas-performance option.
  * Drop d/p/ppc64el-new-archdef-name.patch, applied upstream.
  * Drop d/p/armhf.diff, no longer needed.
  * d/rules: update architecture/ISA names/enums.
  * Update archdefs for ppc64el, arm64 and armhf.
  * d/control:
    + drop useless Section field for binary package libatlas-test.
    + bump Standards-Version to 3.9.8, no changes needed.
    + use secure URLs for Vcs-* fields.
  * Improve shell syntax in preinst scripts.
    Thanks to Wolfgang Karall-Ahlborn (Closes: #805406)

  [ Dimitri John Ledkov ]
  * d/rules: on ppc64el set ARCHES to POWER8.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 06 Aug 2016 20:27:27 +0200
