=== debian/control ===
Source: atlas
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-exec,
               gfortran,
               liblapack-pic (>= 3.7.1-2~),
               texlive-latex-base,
               ghostscript
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/atlas.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/atlas.git
Homepage: http://math-atlas.sourceforge.net/

Package: libatlas3-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libblas3 (<< 3.7.1-2~),
        liblapack3 (<< 3.7.1-2~),
        libopenblas-base (<< 0.2.20+ds-3~),
        libatlas-base-dev (<< 3.10.3-4~)
Conflicts: libcblas3
Provides: libblas.so.3,
          liblapack.so.3
Replaces: libcblas3
Built-Using: ${Built-Using}
Description: Automatically Tuned Linear Algebra Software, generic shared
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 The libraries in this package are built without any processor extension
 instructions, and should run on all processors of this general
 architecture, albeit less than optimally.  
 . 
 If you want to create an ATLAS packaged optimized for your processor, see the
 section: "Building Optimized Atlas Packages on your ARCH" in README.Debian

Package: libatlas-base-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libatlas3-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libatlas-doc,
          liblapack-doc
Breaks: libblas-dev (<< 3.7.1-2~),
        liblapack-dev (<< 3.7.1-2~),
        libopenblas-dev (<< 0.2.20+ds-3~),
        libatlas-dev (<< 3.10.3-2)
Conflicts: libcblas-dev
Provides: libblas.so,
          liblapack.so
Replaces: libatlas-dev (<< 3.10.3-2),
          libcblas-dev
Built-Using: ${Built-Using}
Description: Automatically Tuned Linear Algebra Software, generic static
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 This package includes the headers, the static libraries and symbolic links
 needed for program development.

Package: libatlas-test
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Automatically Tuned Linear Algebra Software, test programs
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 This package provides dynamically linked testing and bench-marking
 binaries to compare the BLAS and ATLAS libraries on your system.

Package: libatlas-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Automatically Tuned Linear Algebra Software, documentation
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 This package provides documentation on the ATLAS libraries useful for
 developers.
