=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,oversionmangle=s/(.*)/$1+ds/ \
http://sf.net/math-atlas/atlas(\d.*)\.tar\.bz2 debian debian/orig-tar.sh
